package com.bocloud.cos.booter.controller;

import com.alibaba.fastjson.JSONObject;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.utils.Common;
import com.bocloud.common.utils.JSONTools;
import com.bocloud.cos.intf.ContentTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 报表模板controller
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月26日
 */
@RestController
@RequestMapping("/v1/metrics")
public class ContentTemplateController {
    @Autowired
    private ContentTemplateService contentTemplateService;

    /**
     * 报表模板展示
     *
     * @param params
     * @return
     */
    @GetMapping
    public BocloudResult metrics(@RequestParam(value = Common.PARAMS, required = false) String params) {
        JSONObject object = JSONTools.isJSONObj(params);
        if (null != object) {
            String reportCategory = object.getString("reportCategory");
            return contentTemplateService.list(reportCategory);
        } else {
            return new BocloudResult(false, "参数格式不正确");
        }
    }
}
