package com.bocloud.cos.booter.controller;


import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.Param;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import com.bocloud.cos.intf.ReportResourceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

/**
 * 报表资源controller层
 *
 * @author lyy
 * @version 2.0
 * @time 2018年1月2日
 */
@Api(value = "报表资源", tags = "报表资源")
@RestController
@RequestMapping("/v1/resources")
public class ReportResourceController {

    @Autowired
    private ReportResourceService reportResourceService;

    /**
     * 报表模板列表展示
     *
     * @param pager
     * @param context
     * @return
     */
    @ApiOperation(tags={"CMC","CSC"},value = "查询资源", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    @GetMapping
    public BocloudResult resources(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context) {
        List<Param> params = pager.getParams();
        if (!params.isEmpty()) {
            String reportCategory = null;
            Iterator<Param> iterator = params.iterator();
            while (iterator.hasNext()) {
                Param param = iterator.next();
                Map<String, Object> map = param.getParam();
                if (map.containsKey("reportCategory")) {
                    reportCategory = String.valueOf(map.get("reportCategory"));
                    iterator.remove();
                }
            }
            return reportResourceService.list(pager.getPage(), pager.getRows(), params, pager.getSorter(),
                    reportCategory, context);
        } else {
            return new BocloudResult(false, "参数格式错误");
        }

    }
}
