package com.bocloud.cos.booter.controller;


import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import com.bocloud.cos.intf.ReportTemplateHistoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

/**
 * 需要处理的报表controller层
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月25日
 */
@Api(value = "报表历史", tags = "报表历史")
@RestController
@RequestMapping("/v1/reports")
public class ReportTemplateHistoryController {
    @Autowired
    private ReportTemplateHistoryService reportTemplateHistoryService;

    /**
     * 查询报表历史
     *
     * @param pager
     * @param context
     * @return
     */
    @ApiOperation(tags={"CMC","CSC"},value = "查询报表历史列表", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    @GetMapping
    public BocloudResult list(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context) {
        return this.reportTemplateHistoryService.list(pager.getPage(), pager.getRows(), pager.getParams(),
                pager.getSorter());
    }

    /**
     * 删除历史报表
     *
     * @param id
     * @return
     */
    @ApiOperation(tags={"CMC","CSC"},value = "删除历史报表", response = BocloudResult.class, httpMethod = "DELETE", produces = MediaType.APPLICATION_JSON_VALUE)
    @DeleteMapping(value = "/{id}")
    public BocloudResult remove(@PathVariable(value = Common.ID) Long id) {
        return reportTemplateHistoryService.remove(id);
    }

}
