package com.bocloud.cos.booter.utils;

import freemarker.template.TemplateMethodModelEx;
import freemarker.template.TemplateModelException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.List;

/**
 * Created by hufy on 2017/8/16.
 * 
 * @author hufy
 *
 */
public class FreemarkerUtil {

	public static final String DATETIME_PATTERN = "yyyy-MM-dd HH:mm:ss";

	public static class DateTimeToLongModel implements TemplateMethodModelEx {
		Logger logger = LoggerFactory.getLogger(this.getClass());

		@SuppressWarnings("rawtypes")
		@Override
		public Object exec(List list) throws TemplateModelException {
			Long result = null;
			try {
				String datetimeStr = list.get(0).toString();
				result = new SimpleDateFormat(DATETIME_PATTERN).parse(datetimeStr).getTime();
			} catch (ParseException e) {
				logger.error("转换日期异常");
			}
			return result;
		}
	}
}
