package com.bocloud.cos.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author tyl
 * @since 2021/5/31 20:14
 */
@EqualsAndHashCode(callSuper = true)
@Table("document_category")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DocumentCategory  extends Generic {
    @PK(PKStrategy.AUTO)
    private Long id;
    @Column("name")
    private String name;
    @Column("parent_id")
    private Long parentId;
    @IgnoreAll
    private String parentName;
    @Column("is_deleted")
    private Boolean deleted;
    @IgnoreAll
    private List<DocumentCategory> children;
}
