package com.bocloud.cos.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 段落
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月22日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("rp_paragraph")
public class Paragraph extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 段落名称
     */
    @Column("name")
    private String name;
    /**
     * 模板配置id
     */
    @Column("config_template_id")
    private Long configTemplateId;
    /**
     * 资源
     */
    @Column("resource_ids")
    private String resourceIds;
    /**
     * 是否删除
     */
    @Column("is_deleted")
    private Boolean deleted;

    public Paragraph(String name, Long configTemplateId, String resourceIds, Boolean deleted) {
        super();
        this.name = name;
        this.configTemplateId = configTemplateId;
        this.resourceIds = resourceIds;
        this.deleted = deleted;
    }

}
