package com.bocloud.cos.entity;

import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 需要处理的模板
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月22日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("rp_report_template_history")
public class ReportTemplateHistory extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("config_template_id")
    private Long configTemplateId;
    @Column("the_day")
    private String theDay;
    /**
     * 是否已处理
     */
    @Column("status")
    private Boolean status;
    /**
     * 触发时间
     */
    @Column("trigger_time")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date triggerTime;
    /**
     * 周报类型
     */
    @Column("cycle_type")
    private String cycleType;
    /**
     * 文件类型
     */
    @Column("file_format")
    private String fileFormat;
    /**
     * 是否删除
     */
    @Column("is_deleted")
    private Boolean deleted;
    /**
     * 创建人id
     */
    @IgnoreAll
    private Long createId;
    @Column("name")
    private String name;
    /**
     * 创建人
     */
    @Column("creater")
    private String creater;

    public ReportTemplateHistory(Long configTemplateId, String theDay, Boolean status, Date triggerTime,
                                 String cycleType, String fileFormat, Boolean deleted, Long createId, String name, String creater) {
        super();
        this.configTemplateId = configTemplateId;
        this.theDay = theDay;
        this.status = status;
        this.triggerTime = triggerTime;
        this.cycleType = cycleType;
        this.fileFormat = fileFormat;
        this.deleted = deleted;
        this.createId = createId;
        this.name = name;
        this.creater = creater;
    }
}
