package com.bocloud.cos.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.*;

/**
 * SKU规格
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年3月10日
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Table("sku_spec")
public class SkuSpec extends Generic {

	/**
	 * id
	 */
	@Setter
	@Getter
	@PK(PKStrategy.AUTO)
	private Long id;
	/**
	 * 商品sku id
	 */
	@Setter
	@Getter
	@Column("sku_id")
	private Long skuId;
	/**
	 * 规格名称
	 */
	@Setter
	@Getter
	@Column("spec_name")
	private String specName;
	/**
	 * 规格值
	 */
	@Setter
	@Getter
	@Column("spec_value")
	private String specValue;
	/**
	 * 规格类型
	 */
	@Setter
	@Getter
	@Column("spec_category")
	private String specCategory;
	@Setter
	@Getter
	@IgnoreAll
	private String skuName;// sku名称
	@Setter
	@Getter
	@IgnoreAll
	private Long categoryId;// 商品类型ID
	@Setter
	@Getter
	@IgnoreAll
	private String period;// 计费周期
	@Setter
	@Getter
	@IgnoreAll
	private String skuStatus;// 产品sku状态
	@Setter
	@Getter
	@IgnoreAll
	private String cpu;
	@Setter
	@Getter
	@IgnoreAll
	private String mem;
}
