package com.bocloud.cos.entity;

import com.bocloud.common.utils.DateDeserializer;
import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.annotations.*;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 服务SLA实例
 * 
 * @author Administrator
 *
 */
@Table("sla_instance")
public class SlaInstance extends Generic {

	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("name")
	private String name;
	@Column("content")
	private String content; // 协议内容
	@Column("gmt_create")
	@IgnoreUpdate
	@JsonSerialize(using = DateSerializer.class)
	@JsonDeserialize(using = DateDeserializer.class)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date gmtCreate;
	@Column("creator_id")
	private Long createrId;
	@Column("service_id")
	private Long serviceId;
	@Column("sla_id")
	private Long slaId;
	@Column("order_id")
	private Long orderId;
	@IgnoreAll
	private String serviceName;
	@IgnoreAll
	private Long catalogId;
	@IgnoreAll
	private String catalogName;
	@IgnoreAll
	private String creatorName;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getGmtCreate() {
		return gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public Long getCreaterId() {
		return createrId;
	}

	public void setCreaterId(Long createrId) {
		this.createrId = createrId;
	}

	public Long getServiceId() {
		return serviceId;
	}

	public void setServiceId(Long serviceId) {
		this.serviceId = serviceId;
	}

	public Long getSlaId() {
		return slaId;
	}

	public void setSlaId(Long slaId) {
		this.slaId = slaId;
	}

	public Long getOrderId() {
		return orderId;
	}

	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	public Long getCatalogId() {
		return catalogId;
	}

	public void setCatalogId(Long catalogId) {
		this.catalogId = catalogId;
	}

	public String getCatalogName() {
		return catalogName;
	}

	public void setCatalogName(String catalogName) {
		this.catalogName = catalogName;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public SlaInstance() {
		super();
	}

	public SlaInstance(String name, String content, Date gmtCreate, Long createrId, Long serviceId, Long slaId,
                       Long orderId) {
		super();
		this.name = name;
		this.content = content;
		this.gmtCreate = gmtCreate;
		this.createrId = createrId;
		this.serviceId = serviceId;
		this.slaId = slaId;
		this.orderId = orderId;
	}

	public enum Status {
		Created, // 新创建
		Approved, // 已通过
		Approving, // 审批中
		Refused, // 已拒绝
		Invalid // 已作废
	}

}
