package com.bocloud.cos.model;

import com.bocloud.entity.bean.Generic;

import java.util.List;

/**
 * @author hufy
 */
public class MonitorInfoReport extends Generic {
    public static final String LOGICAL = "LOGICAL";
    public static final String PHYSICAL = "PHYSICAL";
    /**
     * 名称
     */
    private String name;

    private String instanceId;
    /**
     * uuid
     */
    private String uuid;
    /**
     * 类型
     */
    private String vendorType;
    /**
     * ip
     */
    private String managerIp;

    /**
     * ip集合
     */
    private List<String> ips;

    /**
     * CPU使用率(百分比%)
     * <p>
     * 取值范围[0.00-100.00]
     * </p>
     */
    private String cpuUsage;

    /**
     * cpu使用平均值
     */
    private String cpuUsageAvg;

    /**
     * cpu使用最大值
     */
    private String cpuUsageMax;

    /**
     * 用户cpu使用率
     */
    private String userCpuUsage;

    /**
     * 系统cpu使用率
     */
    private String sysCpuUsage;

    /**
     * 内存使用率
     */
    private String ramUsage;

    /**
     * 内存使用平均值
     */
    private String ramUsageAvg;

    /**
     * 内存使用最大值
     */
    private String ramUsageMax;

    /**
     * 内存峰值
     */
    private String ramSummit;

    /**
     * 磁盘使用率
     */
    private String diskUsage;

    /**
     * 系统负载 %
     */
    private String systemLoad;

    /**
     * 操作系统类型
     */
    private String osCategory;

    /**
     * 目标机器ID
     */
    private Long target;

    /**
     * 云供应商Id
     */
    private Long vendorId;

    private Long number;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUserCpuUsage() {
        if (userCpuUsage == null) {
            return "";
        }
        return userCpuUsage;
    }

    public void setUserCpuUsage(String userCpuUsage) {
        this.userCpuUsage = userCpuUsage;
    }

    public String getSysCpuUsage() {
        if (sysCpuUsage == null) {
            return "";
        }
        return sysCpuUsage;
    }

    public void setSysCpuUsage(String sysCpuUsage) {
        this.sysCpuUsage = sysCpuUsage;
    }

    public String getRamUsage() {
        if (ramUsage == null) {
            return "";
        }
        return ramUsage;
    }

    public void setRamUsage(String ramUsage) {
        this.ramUsage = ramUsage;
    }

    public String getRamSummit() {
        if (ramSummit == null) {
            return "";
        }
        return ramSummit;
    }

    public void setRamSummit(String ramSummit) {
        this.ramSummit = ramSummit;
    }

    public String getDiskUsage() {
        if (diskUsage == null) {
            return "";
        }
        return diskUsage;
    }

    public void setDiskUsage(String diskUsage) {
        this.diskUsage = diskUsage;
    }

    public String getSystemLoad() {
        if (systemLoad == null) {
            return "";
        }
        return systemLoad;
    }

    public void setSystemLoad(String systemLoad) {
        this.systemLoad = systemLoad;
    }

    public String getOsCategory() {
        return osCategory;
    }

    public void setOsCategory(String osCategory) {
        this.osCategory = osCategory;
    }

    public List<String> getIps() {
        return ips;
    }

    public void setIps(List<String> ips) {
        this.ips = ips;
    }

    public String getCpuUsage() {
        return cpuUsage;
    }

    public void setCpuUsage(String cpuUsage) {
        this.cpuUsage = cpuUsage;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getTarget() {
        return target;
    }

    public void setTarget(Long target) {
        this.target = target;
    }

    public Long getNumber() {
        return number;
    }

    public void setNumber(Long number) {
        this.number = number;
    }

    public String getVendorType() {
        return vendorType;
    }

    public void setVendorType(String vendorType) {
        this.vendorType = vendorType;
    }

    public String getManagerIp() {
        return managerIp;
    }

    public void setManagerIp(String managerIp) {
        this.managerIp = managerIp;
    }

    public String getCpuUsageAvg() {
        return cpuUsageAvg;
    }

    public void setCpuUsageAvg(String cpuUsageAvg) {
        this.cpuUsageAvg = cpuUsageAvg;
    }

    public String getCpuUsageMax() {
        return cpuUsageMax;
    }

    public void setCpuUsageMax(String cpuUsageMax) {
        this.cpuUsageMax = cpuUsageMax;
    }

    public String getRamUsageAvg() {
        return ramUsageAvg;
    }

    public void setRamUsageAvg(String ramUsageAvg) {
        this.ramUsageAvg = ramUsageAvg;
    }

    public String getRamUsageMax() {
        return ramUsageMax;
    }

    public void setRamUsageMax(String ramUsageMax) {
        this.ramUsageMax = ramUsageMax;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

}
