package com.bocloud.cos.model;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.bean.Generic;

/**
 * 存储信息报告
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月28日
 */
public class StorageInformationReport extends Generic {

    /**
     * 集群名称
     */
    @Column("name")
    private String name;
    /**
     * 健康状态
     */
    @Column("status")
    private String status;
    /**
     * 容量详情
     */
    @Column("disk_total")
    private Double diskTotal;
    /**
     * 控制节点数
     */
    @Column("monCount")
    private Long monCount;
    /**
     * 存储节点数
     */
    @Column("osdCount")
    private Long osdCount;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        if (null == status) {
            return "";
        }
        switch (status) {
            case "NORMAL":
                return "正常";
            case "HEALTH_WARN":
                return "警告";
            case "HEALTH_ERR":
                return "异常";
            default:
                break;
        }
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Double getDiskTotal() {
        return diskTotal;
    }

    public void setDiskTotal(Double diskTotal) {
        this.diskTotal = diskTotal;
    }

    public Long getMonCount() {
        return monCount;
    }

    public void setMonCount(Long monCount) {
        this.monCount = monCount;
    }

    public Long getOsdCount() {
        return osdCount;
    }

    public void setOsdCount(Long osdCount) {
        this.osdCount = osdCount;
    }

}
