package com.bocloud.cos.repository;

import com.bocloud.common.utils.MapTools;
import com.bocloud.cos.entity.ContentTemplate;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author lyy
 */
@Repository("contentTemplateRepository")
public class ContentTemplateRepository extends BasicGenericDao<ContentTemplate, Long> {

    public ContentTemplateRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    public List<ContentTemplate> listContentTemplate(String reportCategory) throws Exception {
        String sql = "select * from rp_content_template where report_category = :reportCategory";
        Map<String, Object> params = MapTools.simpleMap("reportCategory", reportCategory);
        return list(ContentTemplate.class, sql, params);
    }


    public List<ContentTemplate> queryContentByParagraphId(Long paragraphId) throws Exception {
        String sql = "select content.* from rp_paragraph_template_rela rela left join rp_content_template content on rela.content_template_id = content.id where rela.paragraph_id = :paragraphId";
        Map<String, Object> params = MapTools.simpleMap("paragraphId", paragraphId);
        return list(ContentTemplate.class, sql, params);
    }

}
