package com.bocloud.cos.repository;

import com.bocloud.common.utils.MapTools;
import com.bocloud.cos.entity.ParagraphTemplateRela;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author lyy
 */
@Repository("paragraphTemplateRelaRepository")
public class ParagraphTemplateRelaRepository extends BasicGenericDao<ParagraphTemplateRela, Long> {

    public ParagraphTemplateRelaRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }


    public Boolean batchSave(List<ParagraphTemplateRela> paragraphTemplateRelas) throws Exception {
        return this.batchSave(paragraphTemplateRelas, 1000);
    }

    public Boolean remove(Long configTemplateId) throws Exception {
        String sql = "update rp_paragraph_template_rela set is_deleted = 1 where config_template_id = :configTemplateId and is_deleted = 0";
        Map<String, Object> params = MapTools.simpleMap("configTemplateId", configTemplateId);
        return this.execute(sql, params) > 0;
    }

}
