package com.bocloud.cos.repository;

import com.bocloud.common.utils.MapTools;
import com.bocloud.cos.entity.PublishInfo;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author lyy
 */
@Repository("publishInfoRepository")
public class PublishInfoRepository extends BasicGenericDao<PublishInfo, Long> {

    public PublishInfoRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    public PublishInfo savePublishInfo(PublishInfo publishInfo) throws Exception {
        if (this.baseSave(publishInfo)) {
            return publishInfo;
        }
        return null;
    }

    public Boolean remove(Long configTemplateId) throws Exception {
        String sql = "update rp_publish_info set is_deleted = 1 where config_template_id = :configTemplateId and is_deleted = 0";
        Map<String, Object> params = MapTools.simpleMap("configTemplateId", configTemplateId);
        return this.execute(sql, params) > 0;
    }

    @SuppressWarnings("rawtypes")
    public PublishInfo getByConfigId(Long id) throws Exception {
        String sql = "select * from  rp_publish_info where config_template_id = :configTemplateId and is_deleted = 0";
        Map<String, Object> params = MapTools.simpleMap("configTemplateId", id);
        List<PublishInfo> list = this.list(PublishInfo.class, sql, params);
        if (list != null && list.size() > 0) {
            return list.get(0);
        } else {
            return null;
        }
    }

}
