package com.bocloud.cos.intf;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Param;
import com.bocloud.common.model.RequestContext;

/**
 * 报表配置模板service层
 * 
 * @author lyy
 * @time 2017年12月22日
 * @version 2.0
 */
@Service("reportConfigTemplateService")
public interface ReportConfigTemplateService {

	/**
	 * 查询报表模板配置列表详情
	 * 
	 * @param page
	 * @param rows
	 * @param params
	 * @param sorter
	 * @param context
	 * @return
	 */
	public BocloudResult list(int page, int rows, List<Param> params, Map<String, String> sorter,
			RequestContext context);

	/**
	 * 删除报表模板配置
	 * 
	 * @param reportConfigTemplateId
	 * @return
	 */
	public BocloudResult remove(Long reportConfigTemplateId);

	/**
	 * 新增报表模板配置
	 * 
	 * @param basics
	 * @param contents
	 * @param subscription
	 * @param context
	 * @return
	 */
	public BocloudResult create(JSONObject basics, JSONArray contents, JSONObject subscription, RequestContext context);

	/**
	 * 更新报表模板配置状态
	 * 
	 * @param id
	 * @param status
	 * @param userId
	 * @return
	 */
	public BocloudResult update(Long id, Boolean status, Long userId);

	/**
	 * 查询报表模板详情
	 * 
	 * @param id
	 * @return
	 */
	public BocloudResult detail(Long id);

}
