package com.bocloud.cos.intf;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.List;
import java.util.Map;

import com.bocloud.common.model.RequestContext;
import com.bocloud.cos.entity.Paragraph;
import com.bocloud.cos.entity.ReportConfigTemplate;
import com.bocloud.cos.entity.ReportTemplateHistory;
import com.bocloud.cos.enums.ReportFileFormat;
import com.bocloud.cos.enums.ReportFrequenceType;

import net.sf.jasperreports.export.ExporterInputItem;

/**
 * @author hufy
 */
public interface ReportCreateService {
	/**
	 * 返回标题名称
	 * 
	 * @return
	 */
	public String getTitleName();

	/**
	 * 获取表格数据
	 * 
	 * @param reportFrequenceType
	 * @param param
	 * @param resourceIds
	 * @param context
	 * @param isAdmin
	 * @param configTemplate
	 * @param paragraph
	 * @param history
	 * @return
	 */

	@SuppressWarnings("rawtypes")
	List getMainTableReport(ReportFrequenceType reportFrequenceType, Map<String, Object> param, String[] resourceIds,
			RequestContext context, Boolean isAdmin, ReportConfigTemplate configTemplate, Paragraph paragraph,
			ReportTemplateHistory history);

	/**
	 * 获取jasper流
	 * 
	 * @return
	 * @throws Exception
	 */
	InputStream getMainTableJasperStream() throws Exception;

	/**
	 * 创建报表
	 * 
	 * @param id
	 * @return
	 */
	List<ExporterInputItem> createReport(Long id);

	/**
	 * 导出报表
	 * 
	 * @param printList
	 * @param outputStream
	 * @param pdf
	 */
	void exportReport(List<ExporterInputItem> printList, OutputStream outputStream, ReportFileFormat pdf);
}
