package com.bocloud.cos.intf;

import java.util.List;
import java.util.Map;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Param;
import com.bocloud.common.model.RequestContext;

/**
 * 需要处理的报表service层
 * 
 * @author lyy
 * @time 2017年12月25日
 * @version 2.0
 */
public interface ReportTemplateHistoryService {

	/**
	 * 报表历史查询
	 * 
	 * @param page
	 * @param rows
	 * @param params
	 * @param sorter
	 * @return
	 */
	public BocloudResult list(int page, int rows, List<Param> params, Map<String, String> sorter);

	/**
	 * 删除历史报表
	 * 
	 * @param id
	 * @return
	 */
	public BocloudResult remove(Long id);

	/**
	 * 根据id查询报表生成历史
	 * 
	 * @param id
	 * @return
	 */
	BocloudResult get(Long id);

	/**
	 * 查看历史详情
	 * 
	 * @param context
	 * @param id
	 * @return
	 */
	public BocloudResult detail(Long id, RequestContext context);
}
