package com.bocloud.cos.service.internal;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.common.enums.BoCloudMethod;
import com.bocloud.common.enums.BoCloudService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.BocloudToken;
import com.bocloud.common.utils.Common;
import com.bocloud.common.utils.MapTools;
import com.bocloud.service.core.CurrentService;
import com.bocloud.service.core.Service;
import com.bocloud.service.http.core.ServiceFactory;
import com.bocloud.service.http.model.RemoteService;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by liuyuanyuan on 2019/9/6 17:29
 */
@Component("cspPrometheusService")
public class CmsPrometheusService implements InitializingBean {
    @Autowired
    private ServiceFactory serviceFactory;
    @Autowired
    private CurrentService currentService;
    private Map<String, Object> headers = new HashMap<>(4);
    private static Service service = Service.create(BoCloudService.CMS);

    /**
     * 查询prometheus信息接口
     *
     * @param expr
     * @param time
     * @return
     */
    public String query(String expr, String time) {
        JSONObject object = new JSONObject();
        object.put("expr", expr);
        object.put("time", time);
        RemoteService remoteService = serviceFactory.build(service, "/v1/prometheus", BoCloudMethod.GET,
                headers, MapTools.simpleMap(Common.PARAMS, object.toJSONString()));
        BocloudResult bocloudResult = remoteService.invoke();
        if (bocloudResult.isFailed()) {
            return "";
        }
        JSONArray jsonArray = JSONArray.parseArray(bocloudResult.getData().toString());
        if (null == bocloudResult.getData() || jsonArray.isEmpty()) {
            return "";
        } else {
            Object data = JSONArray.parseArray(bocloudResult.getData().toString()).get(0);
            Object value = JSONArray.parseArray(JSONObject.parseObject(data.toString()).getString("value")).get(1);
            return String.valueOf(value);
        }
    }

    public BocloudResult chart(JSONObject params) {
        RemoteService remoteService = serviceFactory.build(service, "/v1/charts", BoCloudMethod.GET,
                headers, MapTools.simpleMap(Common.PARAMS, params));
        return remoteService.invoke();
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        this.headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        this.headers.put("source", currentService.getService().getName());
    }
}
