package com.bocloud.cos.service.resource.operate;

import com.bocloud.cos.entity.OrderItem;
import com.bocloud.cos.enums.ResourceCategory;

import java.util.List;

/**
 * @author tyl
 * @since 2021/5/20 18:32
 */
public abstract class AbstractResourceOperate {

    /**
     * 资源类型
     */
    ResourceCategory category;

    public AbstractResourceOperate(ResourceCategory category) {
        this.category = category;
    }

    /**
     * 构建资源申请订单项
     *
     * @return
     */
    public abstract List<OrderItem> buildApplyItem();

    /**
     * 构建资源变更订单项
     *
     * @return
     */
    public abstract List<OrderItem> buildAlterationItem();

    public ResourceCategory getCategory() {
        return category;
    }

    public void setCategory(ResourceCategory category) {
        this.category = category;
    }

}
